using System;
using System.Collections.Generic;
using System.Data;
using System.Data.SqlClient;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace KursachMukha692gr
{
    /// <summary>
    /// Логика взаимодействия для UpdateMestoTournment.xaml
    /// </summary>
    public partial class UpdateMestoTournment : Window
    {
        public UpdateMestoTournment()
        {
            InitializeComponent();
        }

        private void Button_Click_Back(object sender, RoutedEventArgs e)
        {
            ViborUpdateTournments tournments = new ViborUpdateTournments();
            tournments.Show();
            Close();
        }

        private void Button_Click_Delete(object sender, RoutedEventArgs e)
        {
            if (id_mesto.Text.Length != 0 && Name.Text.Length != 0)
            {
                bool turik = false, imya = false;
                for (int i = 0; i < id_mesto.Text.Length; i++)
                {
                    if (turik)
                    {
                        turik = false;
                    }
                    if (id_mesto.Text[i] >= '1' && id_mesto.Text[i] <= '9')
                    {
                        turik = true;
                    }
                    if (turik == false)
                    {
                        MessageBox.Show("Поле id место проведения должно содержать только цифры");
                    }
                }
                for (int i = 0; i < Name.Text.Length; i++)
                {
                    if (imya)
                    {
                        imya = false;
                    }
                    if (Name.Text[i] >= 'А' && Name.Text[i] <= 'Я' || Name.Text[i] >= 'а' && Name.Text[i] <= 'я' || Name.Text[i] >= '"' || Name.Text[i] <= ',')
                    {
                        imya = true;
                    }
                    if (imya == false)
                    {
                        MessageBox.Show("Поле место проведения может содержать только русские символы (и ковычки и  , )");
                    }
                }
                if (turik && imya)
                {
                    DataTable upname = Update("update [dbo].[sorevnovaniya] set mesto_provedeniya = '" + Name.Text + "' where id = " + id_mesto.Text);
                    MessageBox.Show("Поле место проведения турнира для id " + id_mesto.Text + " успешно изменено");
                    ViborUpdateTournments viborUpdate = new ViborUpdateTournments();
                    viborUpdate.Show();
                    Close();
                }
                else
                {
                    MessageBox.Show("Неправильный формат");
                }
            }
            else
            {
                MessageBox.Show("Все поля должны быть введены");
            }
        }
        public DataTable Update(string selectSQL)
        {
            DataTable dataTable = new DataTable("dataBase");
            SqlConnection sqlConnection = new SqlConnection("server=WIN-2CL665KE0ED; Trusted_Connection=YES;DataBase=KURSACH1;");
            sqlConnection.Open();
            SqlCommand sqlCommand = sqlConnection.CreateCommand();
            sqlCommand.CommandText = selectSQL;
            SqlDataAdapter sqlDataAdapter = new SqlDataAdapter(sqlCommand);
            sqlDataAdapter.Fill(dataTable);
            sqlConnection.Close();
            return dataTable;
        }
    }
}

